#ifndef _DEF_PLAYER
#define _DEF_PLAYER

#include "vec.h"
#include "camera.h"

typedef struct Player
{
	Vec pos;
	Vec hbox; /* the bottom right corner of the player's hitbox */
	Vec origin; /* the origin of the player (offset) */
} Player;

void player_step(Player *player);
void player_draw(Player *player, Camera *camera);

#endif /* _DEF_PLAYER */
