#include <gint/display.h>

#include "player.h"
#include "camera.h"

void player_step(Player *player)
{
}

void player_draw(Player *player, Camera *camera)
{
	Vec draw_pos_tl;
	Vec draw_pos_br;
	vec_cpy(&draw_pos_tl, player->pos);
	vec_sub(&draw_pos_tl, player->origin);
	vec_cpy(&draw_pos_br, draw_pos_tl);
	vec_add(&draw_pos_br, player->hbox);
	#ifdef FX9860G
	drect(draw_pos_tl.x, draw_pos_tl.y, draw_pos_br.x, draw_pos_br.y, C_LIGHT);
	#endif /* FX9860G */
	#ifdef FXCG50
	drect(draw_pos_tl.x, draw_pos_tl.y, draw_pos_br.x, draw_pos_br.y, C_BLACK);
	#endif /* FXCG50 */
}
